#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <io.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <conio.h>
#include <ctype.h>
#include <windows.h>

/*
-s activelayer=0&&1
-s deactivelayer=0&&1
-s activelayer=0&&1 -s deactivelayer=photo&&text
-s activelayer=all
-s deactivelayer=all
*/
__declspec(dllexport) int WINAPI VeryPDF_PDFTools(LPCTSTR lpCommand);

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main()
{
	char szLayerPDF[_MAX_PATH];
	GetModulePath(szLayerPDF, "layers.pdf");

	char szOutputPDF1[_MAX_PATH];
	GetModulePath(szOutputPDF1, "_out1.pdf");

	char szOutputPDF2[_MAX_PATH];
	GetModulePath(szOutputPDF2, "_out2.pdf");
	
	char szOutputPDF3[_MAX_PATH];
	GetModulePath(szOutputPDF3, "_out3.pdf");

	char szOutputPDF_ShowAll[_MAX_PATH];
	GetModulePath(szOutputPDF_ShowAll, "_out_ShowAll.pdf");

	char szOutputPDF_HideAll[_MAX_PATH];
	GetModulePath(szOutputPDF_HideAll, "_out_HideAll.pdf");

	int nRet = 0;
	char szCommandLine[1024];
	char *lpLicenseKey = "XXXXXXXXXXXXXX";

	sprintf(szCommandLine,"pdftools -$ \"%s\" -s \"activelayer=0&&1\" -s \"deactivelayer=photo&&text\" -i \"%s\" -o \"%s\"", lpLicenseKey, szLayerPDF, szOutputPDF1);
	nRet = VeryPDF_PDFTools(szCommandLine);
	printf("%s\nReturn value is: %d\n\n", szCommandLine, nRet);

	sprintf(szCommandLine,"pdftools -$ \"%s\" -s \"activelayer=border\" -s \"deactivelayer=photo&&text\" -i \"%s\" -o \"%s\"", lpLicenseKey, szLayerPDF, szOutputPDF2);
	nRet = VeryPDF_PDFTools(szCommandLine);
	printf("%s\nReturn value is: %d\n\n", szCommandLine, nRet);
	
	sprintf(szCommandLine,"pdftools -$ \"%s\" -s \"activelayer=text&&photo\" -s \"deactivelayer=0&&1\" -i \"%s\" -o \"%s\"", lpLicenseKey, szLayerPDF, szOutputPDF3);
	nRet = VeryPDF_PDFTools(szCommandLine);
	printf("%s\nReturn value is: %d\n\n", szCommandLine, nRet);

	sprintf(szCommandLine,"pdftools -$ \"%s\" -s \"activelayer=all\" -i \"%s\" -o \"%s\"", lpLicenseKey, szLayerPDF, szOutputPDF_ShowAll);
	nRet = VeryPDF_PDFTools(szCommandLine);
	printf("%s\nReturn value is: %d\n\n", szCommandLine, nRet);

	sprintf(szCommandLine,"pdftools -$ \"%s\" -s \"deactivelayer=all\" -i \"%s\" -o \"%s\"", lpLicenseKey, szLayerPDF, szOutputPDF_HideAll);
	nRet = VeryPDF_PDFTools(szCommandLine);
	printf("%s\nReturn value is: %d\n\n", szCommandLine, nRet);
}
